NSX-T Data Center REST API
Update Security Profile
Performs partial updates to an existing VPC Security Profile.This operation allows modification of specific security profile properties such as north-south firewall
enablement status. It does not allow updating the security strategy defined in the east-west firewall settings.
Note: Users can modify existing security profiles but cannot create new custom security profiles.
Request:
Method:
PATCH
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/vpc-security-profiles/{vpc-security-profile-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
VpcSecurityProfile+
Example Request:
PATCH https://<policy-mgr>/policy/api/v1/orgs/default/projects/Production_Prj/vpc-security-profiles/system-security-profile-2 { "is_default": false, "north_south_firewall": { "enabled": true }, "east_west_firewall": { "security_strategies": [ "/orgs/default/projects/default/security-strategies/vpc-isolation" ] }, "resource_type": "VpcSecurityProfile", "id": "system-security-profile-2", "display_name": "System Security Profile 2", "description": "Deny any communication between VPCs within the project. All workloads within the VPC to be allowed to communicate" }Successful Response:
Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a